For Developers

List Bell Schedule Periods

This model is part of the v2.5 API update which is currently in beta and therefore subject to change.

GET https://ed.link/api/v2/graph/bell_schedule_periods

Retrieve a list of all Bell Schedule Periods.

Request Parameters

This query allows for filtering results.

This query allows for standard paging parameters.

ParameterLocationTypeDescription
$firstquerynumber

Returns the first n elements from the list.

$lastquerynumber

Returns the last n elements from the list.

$beforequeryuuid

Returns the elements in the list that come before the specified item.

$afterqueryuuid

Returns the elements in the list that come after the specified item.

It is best practice to use either $first or $last in conjunction with the $next value returned by the API to paginate through results.

Sample Request

axios.get('https://ed.link/api/v2/graph/bell_schedule_periods', {
    headers: {
        authorization: `Bearer ${integration_access_token}`
    }
});

Sample Response

{
    "$data": [
        {
            "id": "00000000-0000-0000-0000-000000000000",
            "created_date": "2021-07-05T20:32:40.454Z",
            "updated_date": "2021-07-12T21:44:23.126Z",
            "bell_schedule_id": "00000000-0000-0000-0000-000000000001",
            "track_id": "00000000-0000-0000-0000-000000000002",
            "period_id": "00000000-0000-0000-0000-000000000003",
            "type": "class",
            "start_time": "13:45:00.000Z",
            "end_time": "14:30:00.000Z"
        }
    ],
    "$request": "00000000-0000-0000-0000-000000000000"
}